# ==================================================================
# Plugins::Admin_AddForm - Auto Generated Install Module
#
#   Plugins::Admin_AddForm
#   Author  : Dat Tan Truong
#   Version : 1
#   Updated : Sun Jan 14 16:19:42 2007
#
# ==================================================================
#

package Plugins::Admin_AddForm;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use Links qw/:objects/;

$VERSION = '1';
$DEBUG   = 0;
$NAME    = 'Admin_AddForm';
# Inhert from base class for debug and error methods
@Plugins::Admin_AddForm::ISA = qw(GT::Base);

$META = {
    'author' => 'Dat Tan Truong',
    'description' => 'Add another select for Admin add link',
    'license' => 'Commercial',
    'prog_ver' => '3.0.4',
    'url' => 'http://cgito.net',
    'version' => '1'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = '';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Admin_AddForm::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks('Admin_AddForm', [['form_link', 'PRE', 'Plugins::Admin_AddForm::link_form', '']]);
    $mgr->install_menu('Admin_AddForm', [['About', 'admin.cgi?do=plugin&plugin=Admin_AddForm&func=showabout']]);
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Admin_AddForm::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks('Admin_AddForm', [['form_link', 'PRE', 'Plugins::Admin_AddForm::link_form', '']]);    $mgr->uninstall_menu('Admin_AddForm', [['About', 'admin.cgi?do=plugin&plugin=Admin_AddForm&func=showabout']]);
    ;
    return "The plugin has been successfully removed!";
}

1;
